AI 任務是非同步的。當功能支援 webhook 時,請優先使用以 webhook 為基礎的完成處理。設定您的 webhook 端點、驗證 webhook 簽章,並在收到 success 或 error 通知後,使用收到的 task_id 查詢任務結果。設定與驗證細節請見 webhook 整合指南。
若您的整合不支援 webhook 或無法使用 webhook,請實作輪詢。送出 AI 任務後,以固定間隔(例如每 10 秒)輪詢狀態端點,直到任務狀態為 success 或 error。
安全
BearerAuthenticationV2
- https://yce-api-01.makeupar.comhttps://yce-api-01.makeupar.com/s2s/v2.0/task/body-reshape
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/body-reshape \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"version": "1.0",
"index": 0,
"features": {
"arm": 0,
"breast": 0,
"breast_left": 0,
"breast_right": 0,
"hip": 0,
"hip_lift": 0,
"leg": 0,
"neck": 0,
"neck_left": 0,
"neck_right": 0,
"shoulder": 0,
"shoulder_left": 0,
"shoulder_right": 0,
"squared_shoulder": 0,
"squared_shoulder_left": 0,
"squared_shoulder_right": 0,
"slim": 0,
"taller": 0,
"waist": 0,
"belly": 0
}
}'响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }